org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.extensible

## Interface ExtensiblePackage.Literals

Enclosing interface:
  ExtensiblePackage

    public static interface ExtensiblePackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Generated:

### Field Summary

Fields
`static EClass` `QUERY` The meta object literal for the '`Query`' class.
`static EAttribute` `QUERY__CAN_BE_CACHED` The meta object literal for the 'Can Be Cached' attribute feature.
`static EAttribute` `QUERY__CAN_HAVE_SIDE_EFFECTS` The meta object literal for the 'Can Have Side Effects' attribute feature.

### Field Detail

#### QUERY

    static final EClass QUERY

The meta object literal for the '`Query`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.extensible.impl.QueryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.extensible.impl.ExtensiblePackageImpl#getQuery()`
Generated:

#### QUERY__CAN_HAVE_SIDE_EFFECTS

    static final EAttribute QUERY__CAN_HAVE_SIDE_EFFECTS

The meta object literal for the 'Can Have Side Effects' attribute feature.

Generated:

#### QUERY__CAN_BE_CACHED

    static final EAttribute QUERY__CAN_BE_CACHED

The meta object literal for the 'Can Be Cached' attribute feature.

Generated: